Bug 1868685 - [sig-operator][Feature:Marketplace] Marketplace diff name test [ocp-25672] create the samename opsrc&csc [Serial]
Summary: [sig-operator][Feature:Marketplace] Marketplace diff name test [ocp-25672] cr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Kevin Rizza
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-13 13:27 UTC by Micah Abbott
Modified: 2020-10-27 16:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
[sig-operator][Feature:Marketplace] Marketplace diff name test [ocp-25672] create the samename opsrc&csc [Serial] [Suite:openshift/conformance/serial] [sig-operator][Feature:Marketplace] Marketplace resources with labels provider displayName [ocp-21728] create opsrc with labels [Serial] [Suite:openshift/conformance/serial] [sig-operator][Feature:Marketplace] Marketplace resources with labels provider displayName [ocp-21728] create opsrc with labels [Serial]
Last Closed: 2020-10-27 16:28:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift release pull 10978 0 None closed Bug 1868685: Add e2e-aws-serial job to marketplace 2020-09-18 21:34:58 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:28:26 UTC

Description Micah Abbott 2020-08-13 13:27:32 UTC
[sig-operator][Feature:Marketplace] Marketplace diff name test [ocp-25672] create the samename opsrc&csc [Serial] 

...is blowing up like so:


```
[BeforeEach] [sig-operator][Feature:Marketplace] Marketplace diff name test
  github.com/openshift/origin@/test/extended/util/framework.go:1425
[It] [ocp-25672] create the samename opsrc&csc [Serial] [Suite:openshift/conformance/serial]
  github.com/openshift/origin@/test/extended/marketplace/marketplace_diffname.go:41
Aug 12 20:57:03.235: INFO: Running 'oc --namespace=e2e-test-marketplace-vtbmk --kubeconfig=/var/run/secrets/ci.openshift.io/multi-stage/kubeconfig process --ignore-unknown-parameters=true -f /tmp/fixture-testdata-dir846993589/test/extended/testdata/marketplace/opsrc/02-opsrc.yaml -p NAME=samename NAMESPACE=marketplace_e2e LABEL=samename DISPLAYNAME=samename PUBLISHER=samename MARKETPLACE=openshift-marketplace'
Aug 12 20:57:03.545: INFO: Start to create Resource: /tmp/e2e-test-marketplace-vtbmk-config.json
Aug 12 20:57:03.545: INFO: Running 'oc --kubeconfig=/var/run/secrets/ci.openshift.io/multi-stage/kubeconfig create -f /tmp/e2e-test-marketplace-vtbmk-config.json'
Aug 12 20:57:04.306: INFO: Error running /usr/bin/oc --kubeconfig=/var/run/secrets/ci.openshift.io/multi-stage/kubeconfig create -f /tmp/e2e-test-marketplace-vtbmk-config.json:
unable to recognize no matches for kind "OperatorSource" in version "operators.coreos.com/v1"
unable to recognize no matches for kind "OperatorSource" in version "operators.coreos.com/v1"
[AfterEach] [sig-operator][Feature:Marketplace] Marketplace diff name test
  github.com/openshift/origin@/test/extended/util/client.go:133
STEP: Collecting events from namespace "e2e-test-marketplace-vtbmk".
STEP: Found 0 events.
Aug 12 20:57:04.472: INFO: POD  NODE  PHASE  GRACE  CONDITIONS
Aug 12 20:57:04.472: INFO: 
Aug 12 20:57:04.756: INFO: skipping dumping cluster info - cluster too large
Aug 12 20:57:04.865: INFO: Deleted {user.openshift.io/v1, Resource=users  e2e-test-marketplace-vtbmk-user}, err: <nil>
Aug 12 20:57:04.973: INFO: Deleted {oauth.openshift.io/v1, Resource=oauthclients  e2e-client-e2e-test-marketplace-vtbmk}, err: <nil>
Aug 12 20:57:05.076: INFO: Deleted {oauth.openshift.io/v1, Resource=oauthaccesstokens  8EIm6Y2HQe2BKQMSKtchTwAAAAAAAAAA}, err: <nil>
[AfterEach] [sig-operator][Feature:Marketplace] Marketplace diff name test
  github.com/openshift/origin@/test/extended/util/client.go:134
Aug 12 20:57:05.076: INFO: Waiting up to 7m0s for all (but 100) nodes to be ready
STEP: Destroying namespace "e2e-test-marketplace-vtbmk" for this suite.
[AfterEach] [sig-operator][Feature:Marketplace] Marketplace diff name test
  github.com/openshift/origin@/test/extended/marketplace/marketplace_diffname.go:28
Aug 12 20:57:05.247: INFO: Running 'oc --kubeconfig=/var/run/secrets/ci.openshift.io/multi-stage/kubeconfig delete -n openshift-marketplace operatorsource samename'
Aug 12 20:57:06.008: INFO: Error running /usr/bin/oc --kubeconfig=/var/run/secrets/ci.openshift.io/multi-stage/kubeconfig delete -n openshift-marketplace operatorsource samename:
error: the server doesn't have a resource type "operatorsource"
Aug 12 20:57:06.016: INFO: Running AfterSuite actions on all nodes
Aug 12 20:57:06.016: INFO: Running AfterSuite actions on node 1
fail [github.com/openshift/origin@/test/extended/marketplace/marketplace_utils.go:18]: Unexpected error:
    <*util.ExitError | 0xc00277f0e0>: {
        Cmd: "oc --kubeconfig=/var/run/secrets/ci.openshift.io/multi-stage/kubeconfig create -f /tmp/e2e-test-marketplace-vtbmk-config.json",
        StdErr: "unable to recognize no matches for kind \"OperatorSource\" in version \"operators.coreos.com/v1\"",
        ExitError: {
            ProcessState: {
                pid: 920,
                status: 256,
                rusage: {
                    Utime: {Sec: 0, Usec: 201782},
                    Stime: {Sec: 0, Usec: 89771},
                    Maxrss: 141008,
                    Ixrss: 0,
                    Idrss: 0,
                    Isrss: 0,
                    Minflt: 1776,
                    Majflt: 0,
                    Nswap: 0,
                    Inblock: 0,
                    Oublock: 1952,
                    Msgsnd: 0,
                    Msgrcv: 0,
                    Nsignals: 0,
                    Nvcsw: 2147,
                    Nivcsw: 3,
                },
            },
            Stderr: nil,
        },
    }
    exit status 1
occurred

Aug 12 20:56:48.232 W ns/e2e-provisioning-926 pod/hostexec-ip-10-0-155-73.us-west-2.compute.internal-pd5k4 node/ip-10-0-155-73.us-west-2.compute.internal reason/GracefulDelete in 0s
Aug 12 20:56:48.237 W ns/e2e-provisioning-926 pod/hostexec-ip-10-0-155-73.us-west-2.compute.internal-pd5k4 node/ip-10-0-155-73.us-west-2.compute.internal reason/Deleted

failed: (20.9s) 2020-08-12T20:57:06 "[sig-operator][Feature:Marketplace] Marketplace diff name test [ocp-25672] create the samename opsrc&csc [Serial] [Suite:openshift/conformance/serial]"
```

Example failed job - https://storage.googleapis.com/origin-ci-test/pr-logs/pull/25409/pull-ci-openshift-origin-master-e2e-aws-serial/1293642421493567488/build-log.txt


This was reported to @build-watcher today

Comment 1 Micah Abbott 2020-08-13 13:29:12 UTC
Similar error also seen on "sig-operator][Feature:Marketplace] Marketplace resources with labels provider displayName [ocp-21728] create opsrc with labels [Serial] [Suite:openshift/conformance/serial]"

Comment 2 David Eads 2020-08-13 13:30:18 UTC
The tests are being removed in https://github.com/openshift/origin/pull/25413, but to address the "how did this merge" aspect, we need to add a blocking e2e-serial job against operator-framework so we notice issues like https://github.com/operator-framework/operator-marketplace/pull/323 before they merge.

This bug should be closed by the creation of those e2e-serial jobs.

Comment 5 Jian Zhang 2020-08-17 03:25:52 UTC
LGTM, I can see the "e2e-aws-serial" automation test has been added into the CI test of the marketplace-operator. See: https://user-images.githubusercontent.com/15416633/90354569-4536b080-e07c-11ea-80ed-d7951d07d0b1.png

Comment 7 errata-xmlrpc 2020-10-27 16:28:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.